Bug 1569512 (CVE-2018-1000162) - CVE-2018-1000162 php-erusev-parsedown: Cross Site Scripting in `setMarkupEscaped`
Summary: CVE-2018-1000162 php-erusev-parsedown: Cross Site Scripting in `setMarkupEsca...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-1000162
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20170501,repor...
Depends On: 1569513 1569514
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-19 12:22 UTC by Andrej Nemec
Modified: 2019-06-08 22:50 UTC (History)
1 user (show)

Fixed In Version: php-erusev-parsedown 1.7.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-21 13:45:42 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2018-04-19 12:22:06 UTC
Parsedown version prior to 1.7.0 contains a Cross Site Scripting (XSS) vulnerability in `setMarkupEscaped` for escaping HTML that can result in JavaScript code execution. This attack appears to be exploitable via specially crafted markdown that allows it to side step HTML escaping by breaking AST boundaries. This vulnerability appears to have been fixed in 1.7.0 and later.

References:

https://github.com/erusev/parsedown/pull/495
https://github.com/Roave/SecurityAdvisories/issues/44

Comment 1 Andrej Nemec 2018-04-19 12:22:25 UTC
Created php-erusev-parsedown tracking bugs for this issue:

Affects: fedora-all [bug 1569514]
Affects: epel-all [bug 1569513]

Comment 2 Shawn Iwinski 2019-03-21 03:32:18 UTC
All dependent bugs have been closed.  Can this tracking bug be closed?


Note You need to log in before you can comment on or make changes to this bug.